﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;
using System.Windows.Data;

namespace PanelBarSample
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            CreatePanelBar();
        }
        public void CreatePanelBar()
        {
           
            for (int i= 0; i < 10; i++)
            {
                RadPanelBarItem item = new RadPanelBarItem();

                item.Name = "location " + i;
                item.Header = "Header" + i;
                pbAviation.Items.Insert(0, item);

                StackPanel stackGrid = new StackPanel();

                //gvFixed contains the grid of data for each location
                RadGridView gvFixed = new RadGridView();
                gvFixed.ShowColumnFooters = true;
                gvFixed.ShowGroupPanel = false;
                gvFixed.IsFilteringAllowed = false;

                stackGrid.Children.Add(gvFixed);

             
                gvFixed.CalculateAggregates();

                item.Items.Add(stackGrid);

            }

            if (pbAviation.Items.Count > 0)
            {
                ((RadPanelBarItem)pbAviation.Items.First()).IsExpanded = true;
            }

        }
       

     
    }
}
